xmonad-contrib-0.11.3: Third party extensions for xmonad

Copyright | (c) 2008 Jussi Mäki
License | BSD-style (see xmonad/LICENSE)
Maintainer | joamaki@gmail.com
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.SimplestFloat

Contents

- Usage:

Description

A basic floating layout like SimpleFloat but without the decoration.

Synopsis

- simplestFloat :: Eq a => ModifiedLayout WindowArranger SimplestFloat a
- data SimplestFloat a

# Usage:

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.SimplestFloat

Then edit your `layoutHook` by adding the SimplestFloat layout:

    myLayout = simplestFloat ||| Full ||| etc..
    main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

simplestFloat :: Eq a => ModifiedLayout WindowArranger SimplestFloat a

A simple floating layout where every window is placed according to the window's initial attributes.

data SimplestFloat a

Instances

LayoutClass SimplestFloat Window |
Read (SimplestFloat a) |
Show (SimplestFloat a) |